Loading...
Searching...
No Matches
GridBuilder< ValueT, BuildT, StatsT >::BuildRoot< ChildT >::Tile Struct Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions

| Tile (ChildT *c=nullptr)
| Tile (const ValueT &v, bool s)

## Public Attributes

ChildT * | child
ValueT | value
bool | state

## Constructor & Destructor Documentation

## Tile() [1/2]

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>
template<typename ChildT>

Tile | ( | ChildT * | c = nullptr | ) |

inline

## Tile() [2/2]

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>
template<typename ChildT>

Tile | ( | const ValueT & | v,
|  | bool | s )

inline

## Member Data Documentation

## child

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>
template<typename ChildT>

ChildT* child

## state

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>
template<typename ChildT>

bool state

## value

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>
template<typename ChildT>

ValueT value